PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
NPU_REG Struct Reference

## Data Fields
STRUCT id_r | ID
STRUCT status_r | STATUS
STRUCT cmd_r | CMD
STRUCT reset_r | RESET
STRUCT qbase_r | QBASE
STRUCT qread_r | QREAD
STRUCT qconfig_r | QCONFIG
STRUCT qsize_r | QSIZE
STRUCT prot_r | PROT
STRUCT config_r | CONFIG
STRUCT lock_r | LOCK
uint32_t | unused0 [3]
STRUCT regioncfg_r | REGIONCFG
STRUCT axi_limit0_r | AXI_LIMIT0
STRUCT axi_limit1_r | AXI_LIMIT1
STRUCT axi_limit2_r | AXI_LIMIT2
STRUCT axi_limit3_r | AXI_LIMIT3
uint32_t | unused1 [12]
STRUCT basep_r | BASEP [8]
uint32_t | unused2 [16]
STRUCT wd_status_r | WD_STATUS
STRUCT mac_status_r | MAC_STATUS
STRUCT ao_status_r | AO_STATUS
uint32_t | unused3 [1]
STRUCT dma_status0_r | DMA_STATUS0
STRUCT dma_status1_r | DMA_STATUS1
uint32_t | unused4 [10]
STRUCT clkforce_r | CLKFORCE
STRUCT debug_address_r | DEBUG_ADDRESS
STRUCT debug_misc_r | DEBUG_MISC
uint32_t | unused5 [1]
STRUCT debug_block_r | DEBUG_BLOCK
uint32_t | unused6 [11]
STRUCT pmcr_r | PMCR
STRUCT pmcntenset_r | PMCNTENSET
STRUCT pmcntenclr_r | PMCNTENCLR
STRUCT pmovsset_r | PMOVSSET
STRUCT pmovsclr_r | PMOVSCLR
STRUCT pmintset_r | PMINTSET
STRUCT pmintclr_r | PMINTCLR
uint32_t | unused7 [1]
STRUCT pmccntr_r | PMCCNTR
STRUCT pmccntr_cfg_r | PMCCNTR_CFG
STRUCT pmcaxi_chan_r | PMCAXI_CHAN
uint32_t | unused8 [20]
STRUCT kernel_x_r | KERNEL_X
STRUCT kernel_y_r | KERNEL_Y
STRUCT kernel_w_m1_r | KERNEL_W_M1
STRUCT kernel_h_m1_r | KERNEL_H_M1
STRUCT ofm_cblk_width_m1_r | OFM_CBLK_WIDTH_M1
STRUCT ofm_cblk_height_m1_r | OFM_CBLK_HEIGHT_M1
STRUCT ofm_cblk_depth_m1_r | OFM_CBLK_DEPTH_M1
STRUCT ifm_cblk_depth_m1_r | IFM_CBLK_DEPTH_M1
STRUCT ofm_x_r | OFM_X
STRUCT ofm_y_r | OFM_Y
STRUCT ofm_z_r | OFM_Z
STRUCT ifm_z_r | IFM_Z
STRUCT pad_top_r | PAD_TOP
STRUCT pad_left_r | PAD_LEFT
STRUCT ifm_cblk_width_r | IFM_CBLK_WIDTH
STRUCT ifm_cblk_height_r | IFM_CBLK_HEIGHT
STRUCT dma_ifm_src_r | DMA_IFM_SRC
STRUCT dma_ifm_dst_r | DMA_IFM_DST
STRUCT dma_ofm_src_r | DMA_OFM_SRC
STRUCT dma_ofm_dst_r | DMA_OFM_DST
STRUCT dma_weight_src_r | DMA_WEIGHT_SRC
STRUCT dma_cmd_src_r | DMA_CMD_SRC
STRUCT dma_cmd_size_r | DMA_CMD_SIZE
STRUCT dma_m2m_src_r | DMA_M2M_SRC
STRUCT dma_m2m_dst_r | DMA_M2M_DST
STRUCT current_qread_r | CURRENT_QREAD
STRUCT dma_scale_src_r | DMA_SCALE_SRC
uint32_t | unused9 [11]
STRUCT current_block_r | CURRENT_BLOCK
STRUCT current_op_r | CURRENT_OP
STRUCT current_cmd_r | CURRENT_CMD
uint32_t | unused10 [16]
STRUCT pmevcntr_r | PMEVCNTR [4]
uint32_t | unused11 [28]
STRUCT pmevtyper_r | PMEVTYPER [4]
uint32_t | unused12 [28]
STRUCT shared_buffer_r | SHARED_BUFFER [256]
STRUCT ifm_pad_top_r | IFM_PAD_TOP
STRUCT ifm_pad_left_r | IFM_PAD_LEFT
STRUCT ifm_pad_right_r | IFM_PAD_RIGHT
STRUCT ifm_pad_bottom_r | IFM_PAD_BOTTOM
STRUCT ifm_depth_m1_r | IFM_DEPTH_M1
STRUCT ifm_precision_r | IFM_PRECISION
uint32_t | unused13 [1]
STRUCT ifm_upscale_r | IFM_UPSCALE
uint32_t | unused14 [1]
STRUCT ifm_zero_point_r | IFM_ZERO_POINT
STRUCT ifm_width0_m1_r | IFM_WIDTH0_M1
STRUCT ifm_height0_m1_r | IFM_HEIGHT0_M1
STRUCT ifm_height1_m1_r | IFM_HEIGHT1_M1
STRUCT ifm_ib_end_r | IFM_IB_END
uint32_t | unused15 [1]
STRUCT ifm_region_r | IFM_REGION
uint32_t | unused16 [1]
STRUCT ofm_width_m1_r | OFM_WIDTH_M1
STRUCT ofm_height_m1_r | OFM_HEIGHT_M1
STRUCT ofm_depth_m1_r | OFM_DEPTH_M1
STRUCT ofm_precision_r | OFM_PRECISION
STRUCT ofm_blk_width_m1_r | OFM_BLK_WIDTH_M1
STRUCT ofm_blk_height_m1_r | OFM_BLK_HEIGHT_M1
STRUCT ofm_blk_depth_m1_r | OFM_BLK_DEPTH_M1
STRUCT ofm_zero_point_r | OFM_ZERO_POINT
uint32_t | unused17 [1]
STRUCT ofm_width0_m1_r | OFM_WIDTH0_M1
STRUCT ofm_height0_m1_r | OFM_HEIGHT0_M1
STRUCT ofm_height1_m1_r | OFM_HEIGHT1_M1
uint32_t | unused18 [2]
STRUCT ofm_region_r | OFM_REGION
STRUCT kernel_width_m1_r | KERNEL_WIDTH_M1
STRUCT kernel_height_m1_r | KERNEL_HEIGHT_M1
STRUCT kernel_stride_r | KERNEL_STRIDE
uint32_t | unused19 [1]
STRUCT acc_format_r | ACC_FORMAT
STRUCT activation_r | ACTIVATION
STRUCT activation_min_r | ACTIVATION_MIN
STRUCT activation_max_r | ACTIVATION_MAX
STRUCT weight_region_r | WEIGHT_REGION
STRUCT scale_region_r | SCALE_REGION
uint32_t | unused20 [3]
STRUCT ab_start_r | AB_START
uint32_t | unused21 [1]
STRUCT blockdep_r | BLOCKDEP
STRUCT dma0_src_region_r | DMA0_SRC_REGION
STRUCT dma0_dst_region_r | DMA0_DST_REGION
STRUCT dma0_size0_r | DMA0_SIZE0
STRUCT dma0_size1_r | DMA0_SIZE1
uint32_t | unused22 [12]
STRUCT ifm2_broadcast_r | IFM2_BROADCAST
STRUCT ifm2_scalar_r | IFM2_SCALAR
uint32_t | unused23 [3]
STRUCT ifm2_precision_r | IFM2_PRECISION
uint32_t | unused24 [3]
STRUCT ifm2_zero_point_r | IFM2_ZERO_POINT
STRUCT ifm2_width0_m1_r | IFM2_WIDTH0_M1
STRUCT ifm2_height0_m1_r | IFM2_HEIGHT0_M1
STRUCT ifm2_height1_m1_r | IFM2_HEIGHT1_M1
STRUCT ifm2_ib_start_r | IFM2_IB_START
uint32_t | unused25 [1]
STRUCT ifm2_region_r | IFM2_REGION
uint32_t | unused26 [48]
STRUCT ifm_base0_r | IFM_BASE0
STRUCT ifm_base1_r | IFM_BASE1
STRUCT ifm_base2_r | IFM_BASE2
STRUCT ifm_base3_r | IFM_BASE3
STRUCT ifm_stride_x_r | IFM_STRIDE_X
STRUCT ifm_stride_y_r | IFM_STRIDE_Y
STRUCT ifm_stride_c_r | IFM_STRIDE_C
uint32_t | unused27 [2]
STRUCT ofm_base0_r | OFM_BASE0
STRUCT ofm_base1_r | OFM_BASE1
STRUCT ofm_base2_r | OFM_BASE2
STRUCT ofm_base3_r | OFM_BASE3
STRUCT ofm_stride_x_r | OFM_STRIDE_X
STRUCT ofm_stride_y_r | OFM_STRIDE_Y
STRUCT ofm_stride_c_r | OFM_STRIDE_C
uint32_t | unused28 [2]
STRUCT weight_base_r | WEIGHT_BASE
STRUCT weight_length_r | WEIGHT_LENGTH
STRUCT scale_base_r | SCALE_BASE
STRUCT scale_length_r | SCALE_LENGTH
STRUCT ofm_scale_r | OFM_SCALE
STRUCT ofm_scale_shift_r | OFM_SCALE_SHIFT
STRUCT opa_scale_r | OPA_SCALE
STRUCT opa_scale_shift_r | OPA_SCALE_SHIFT
STRUCT opb_scale_r | OPB_SCALE
uint32_t | unused29 [3]
STRUCT dma0_src_r | DMA0_SRC
STRUCT dma0_dst_r | DMA0_DST
STRUCT dma0_len_r | DMA0_LEN
uint32_t | unused30 [10]
STRUCT ifm2_base0_r | IFM2_BASE0
STRUCT ifm2_base1_r | IFM2_BASE1
STRUCT ifm2_base2_r | IFM2_BASE2
STRUCT ifm2_base3_r | IFM2_BASE3
STRUCT ifm2_stride_x_r | IFM2_STRIDE_X
STRUCT ifm2_stride_y_r | IFM2_STRIDE_Y
STRUCT ifm2_stride_c_r | IFM2_STRIDE_C
uint32_t | unused31 [18]
uint32_t | USER_DEFINED [16]
uint32_t | unused32 [256]
STRUCT revision_r | REVISION
uint32_t | unused33 [3]
STRUCT pid4_r | PID4
STRUCT pid5_r | PID5
STRUCT pid6_r | PID6
STRUCT pid7_r | PID7
STRUCT pid0_r | PID0
STRUCT pid1_r | PID1
STRUCT pid2_r | PID2
STRUCT pid3_r | PID3
STRUCT cid0_r | CID0
STRUCT cid1_r | CID1
STRUCT cid2_r | CID2
STRUCT cid3_r | CID3
STRUCT debugcore_r | DEBUGCORE
STRUCT parallel_mode_r | PARALLEL_MODE
STRUCT dma0_skip0_r | DMA0_SKIP0
STRUCT dma0_skip1_r | DMA0_SKIP1
STRUCT weight1_base_r | WEIGHT1_BASE
STRUCT weight1_length_r | WEIGHT1_LENGTH
STRUCT scale1_base_r | SCALE1_BASE
STRUCT scale1_length_r | SCALE1_LENGTH
STRUCT cond_status_r | COND_STATUS
STRUCT power_ctrl_r | POWER_CTRL
STRUCT mem_attr_r | MEM_ATTR [4]
STRUCT axi_sram_r | AXI_SRAM
STRUCT axi_ext_r | AXI_EXT
STRUCT cfg_sram_cap_r | CFG_SRAM_CAP
STRUCT cfg_ext_cap_r | CFG_EXT_CAP
STRUCT cfg_sram_hash0_r | CFG_SRAM_HASH0
STRUCT cfg_sram_hash1_r | CFG_SRAM_HASH1
STRUCT cfg_ext_hash0_r | CFG_EXT_HASH0
STRUCT dma_weight1_src_r | DMA_WEIGHT1_SRC
STRUCT dma_weight2_src_r | DMA_WEIGHT2_SRC
STRUCT dma_weight3_src_r | DMA_WEIGHT3_SRC
STRUCT internal_memory_r | INTERNAL_MEMORY [256]
STRUCT ifm_broadcast_r | IFM_BROADCAST
STRUCT resize_x_scale_n_m1_r | RESIZE_X_SCALE_N_M1
STRUCT resize_y_scale_n_m1_r | RESIZE_Y_SCALE_N_M1
STRUCT resize_x_offset_r | RESIZE_X_OFFSET
STRUCT resize_y_offset_r | RESIZE_Y_OFFSET
STRUCT weight_format_r | WEIGHT_FORMAT
STRUCT dma0_idx_region_r | DMA0_IDX_REGION
STRUCT ifm_scale_r | IFM_SCALE
STRUCT ifm2_scale_r | IFM2_SCALE
STRUCT op_scalar_r | OP_SCALAR
STRUCT dma0_src_stride0_r | DMA0_SRC_STRIDE0
STRUCT dma0_src_stride1_r | DMA0_SRC_STRIDE1
STRUCT dma0_dst_stride0_r | DMA0_DST_STRIDE0
STRUCT dma0_dst_stride1_r | DMA0_DST_STRIDE1
STRUCT dma0_idx_r | DMA0_IDX
STRUCT weight2_base_r | WEIGHT2_BASE
STRUCT weight2_length_r | WEIGHT2_LENGTH
STRUCT weight3_base_r | WEIGHT3_BASE
STRUCT weight3_length_r | WEIGHT3_LENGTH
STRUCT resize_x_step_r | RESIZE_X_STEP
STRUCT resize_y_step_r | RESIZE_Y_STEP
STRUCT dma0_idx_max_r | DMA0_IDX_MAX
STRUCT dma0_idx_skip1_r | DMA0_IDX_SKIP1
STRUCT pmclut_r | PMCLUT

## Field Documentation

## ◆ ID

STRUCT id_r NPU_REG::ID

## ◆ STATUS

STRUCT status_r NPU_REG::STATUS

## ◆ CMD

STRUCT cmd_r NPU_REG::CMD

## ◆ RESET

STRUCT reset_r NPU_REG::RESET

## ◆ QBASE

STRUCT qbase_r NPU_REG::QBASE

## ◆ QREAD

STRUCT qread_r NPU_REG::QREAD

## ◆ QCONFIG

STRUCT qconfig_r NPU_REG::QCONFIG

## ◆ QSIZE

STRUCT qsize_r NPU_REG::QSIZE

## ◆ PROT

STRUCT prot_r NPU_REG::PROT

## ◆ CONFIG

STRUCT config_r NPU_REG::CONFIG

## ◆ LOCK

STRUCT lock_r NPU_REG::LOCK

## ◆ unused0

uint32_t NPU_REG::unused0

## ◆ REGIONCFG

STRUCT regioncfg_r NPU_REG::REGIONCFG

## ◆ AXI_LIMIT0

STRUCT axi_limit0_r NPU_REG::AXI_LIMIT0

## ◆ AXI_LIMIT1

STRUCT axi_limit1_r NPU_REG::AXI_LIMIT1

## ◆ AXI_LIMIT2

STRUCT axi_limit2_r NPU_REG::AXI_LIMIT2

## ◆ AXI_LIMIT3

STRUCT axi_limit3_r NPU_REG::AXI_LIMIT3

## ◆ unused1

uint32_t NPU_REG::unused1

## ◆ BASEP

STRUCT basep_r NPU_REG::BASEP

## ◆ unused2

uint32_t NPU_REG::unused2

## ◆ WD_STATUS

STRUCT wd_status_r NPU_REG::WD_STATUS

## ◆ MAC_STATUS

STRUCT mac_status_r NPU_REG::MAC_STATUS

## ◆ AO_STATUS

STRUCT ao_status_r NPU_REG::AO_STATUS

## ◆ unused3

uint32_t NPU_REG::unused3

## ◆ DMA_STATUS0

STRUCT dma_status0_r NPU_REG::DMA_STATUS0

## ◆ DMA_STATUS1

STRUCT dma_status1_r NPU_REG::DMA_STATUS1

## ◆ unused4

uint32_t NPU_REG::unused4

## ◆ CLKFORCE

STRUCT clkforce_r NPU_REG::CLKFORCE

## ◆ DEBUG_ADDRESS

STRUCT debug_address_r NPU_REG::DEBUG_ADDRESS

## ◆ DEBUG_MISC

STRUCT debug_misc_r NPU_REG::DEBUG_MISC

## ◆ unused5

uint32_t NPU_REG::unused5

## ◆ DEBUG_BLOCK

STRUCT debug_block_r NPU_REG::DEBUG_BLOCK

## ◆ unused6

uint32_t NPU_REG::unused6

## ◆ PMCR

STRUCT pmcr_r NPU_REG::PMCR

## ◆ PMCNTENSET

STRUCT pmcntenset_r NPU_REG::PMCNTENSET

## ◆ PMCNTENCLR

STRUCT pmcntenclr_r NPU_REG::PMCNTENCLR

## ◆ PMOVSSET

STRUCT pmovsset_r NPU_REG::PMOVSSET

## ◆ PMOVSCLR

STRUCT pmovsclr_r NPU_REG::PMOVSCLR

## ◆ PMINTSET

STRUCT pmintset_r NPU_REG::PMINTSET

## ◆ PMINTCLR

STRUCT pmintclr_r NPU_REG::PMINTCLR

## ◆ unused7

uint32_t NPU_REG::unused7

## ◆ PMCCNTR

STRUCT pmccntr_r NPU_REG::PMCCNTR

## ◆ PMCCNTR_CFG

STRUCT pmccntr_cfg_r NPU_REG::PMCCNTR_CFG

## ◆ PMCAXI_CHAN

STRUCT pmcaxi_chan_r NPU_REG::PMCAXI_CHAN

## ◆ unused8

uint32_t NPU_REG::unused8

## ◆ KERNEL_X

STRUCT kernel_x_r NPU_REG::KERNEL_X

## ◆ KERNEL_Y

STRUCT kernel_y_r NPU_REG::KERNEL_Y

## ◆ KERNEL_W_M1

STRUCT kernel_w_m1_r NPU_REG::KERNEL_W_M1

## ◆ KERNEL_H_M1

STRUCT kernel_h_m1_r NPU_REG::KERNEL_H_M1

## ◆ OFM_CBLK_WIDTH_M1

STRUCT ofm_cblk_width_m1_r NPU_REG::OFM_CBLK_WIDTH_M1

## ◆ OFM_CBLK_HEIGHT_M1

STRUCT ofm_cblk_height_m1_r NPU_REG::OFM_CBLK_HEIGHT_M1

## ◆ OFM_CBLK_DEPTH_M1

STRUCT ofm_cblk_depth_m1_r NPU_REG::OFM_CBLK_DEPTH_M1

## ◆ IFM_CBLK_DEPTH_M1

STRUCT ifm_cblk_depth_m1_r NPU_REG::IFM_CBLK_DEPTH_M1

## ◆ OFM_X

STRUCT ofm_x_r NPU_REG::OFM_X

## ◆ OFM_Y

STRUCT ofm_y_r NPU_REG::OFM_Y

## ◆ OFM_Z

STRUCT ofm_z_r NPU_REG::OFM_Z

## ◆ IFM_Z

STRUCT ifm_z_r NPU_REG::IFM_Z

## ◆ PAD_TOP

STRUCT pad_top_r NPU_REG::PAD_TOP

## ◆ PAD_LEFT

STRUCT pad_left_r NPU_REG::PAD_LEFT

## ◆ IFM_CBLK_WIDTH

STRUCT ifm_cblk_width_r NPU_REG::IFM_CBLK_WIDTH

## ◆ IFM_CBLK_HEIGHT

STRUCT ifm_cblk_height_r NPU_REG::IFM_CBLK_HEIGHT

## ◆ DMA_IFM_SRC

STRUCT dma_ifm_src_r NPU_REG::DMA_IFM_SRC

## ◆ DMA_IFM_DST

STRUCT dma_ifm_dst_r NPU_REG::DMA_IFM_DST

## ◆ DMA_OFM_SRC

STRUCT dma_ofm_src_r NPU_REG::DMA_OFM_SRC

## ◆ DMA_OFM_DST

STRUCT dma_ofm_dst_r NPU_REG::DMA_OFM_DST

## ◆ DMA_WEIGHT_SRC

STRUCT dma_weight_src_r NPU_REG::DMA_WEIGHT_SRC

## ◆ DMA_CMD_SRC

STRUCT dma_cmd_src_r NPU_REG::DMA_CMD_SRC

## ◆ DMA_CMD_SIZE

STRUCT dma_cmd_size_r NPU_REG::DMA_CMD_SIZE

## ◆ DMA_M2M_SRC

STRUCT dma_m2m_src_r NPU_REG::DMA_M2M_SRC

## ◆ DMA_M2M_DST

STRUCT dma_m2m_dst_r NPU_REG::DMA_M2M_DST

## ◆ CURRENT_QREAD

STRUCT current_qread_r NPU_REG::CURRENT_QREAD

## ◆ DMA_SCALE_SRC

STRUCT dma_scale_src_r NPU_REG::DMA_SCALE_SRC

## ◆ unused9

uint32_t NPU_REG::unused9

## ◆ CURRENT_BLOCK

STRUCT current_block_r NPU_REG::CURRENT_BLOCK

## ◆ CURRENT_OP

STRUCT current_op_r NPU_REG::CURRENT_OP

## ◆ CURRENT_CMD

STRUCT current_cmd_r NPU_REG::CURRENT_CMD

## ◆ unused10

uint32_t NPU_REG::unused10

## ◆ PMEVCNTR

STRUCT pmevcntr_r NPU_REG::PMEVCNTR

## ◆ unused11

uint32_t NPU_REG::unused11

## ◆ PMEVTYPER

STRUCT pmevtyper_r NPU_REG::PMEVTYPER

## ◆ unused12

uint32_t NPU_REG::unused12

## ◆ SHARED_BUFFER

STRUCT shared_buffer_r NPU_REG::SHARED_BUFFER

## ◆ IFM_PAD_TOP

STRUCT ifm_pad_top_r NPU_REG::IFM_PAD_TOP

## ◆ IFM_PAD_LEFT

STRUCT ifm_pad_left_r NPU_REG::IFM_PAD_LEFT

## ◆ IFM_PAD_RIGHT

STRUCT ifm_pad_right_r NPU_REG::IFM_PAD_RIGHT

## ◆ IFM_PAD_BOTTOM

STRUCT ifm_pad_bottom_r NPU_REG::IFM_PAD_BOTTOM

## ◆ IFM_DEPTH_M1

STRUCT ifm_depth_m1_r NPU_REG::IFM_DEPTH_M1

## ◆ IFM_PRECISION

STRUCT ifm_precision_r NPU_REG::IFM_PRECISION

## ◆ unused13

uint32_t NPU_REG::unused13

## ◆ IFM_UPSCALE

STRUCT ifm_upscale_r NPU_REG::IFM_UPSCALE

## ◆ unused14

uint32_t NPU_REG::unused14

## ◆ IFM_ZERO_POINT

STRUCT ifm_zero_point_r NPU_REG::IFM_ZERO_POINT

## ◆ IFM_WIDTH0_M1

STRUCT ifm_width0_m1_r NPU_REG::IFM_WIDTH0_M1

## ◆ IFM_HEIGHT0_M1

STRUCT ifm_height0_m1_r NPU_REG::IFM_HEIGHT0_M1

## ◆ IFM_HEIGHT1_M1

STRUCT ifm_height1_m1_r NPU_REG::IFM_HEIGHT1_M1

## ◆ IFM_IB_END

STRUCT ifm_ib_end_r NPU_REG::IFM_IB_END

## ◆ unused15

uint32_t NPU_REG::unused15

## ◆ IFM_REGION

STRUCT ifm_region_r NPU_REG::IFM_REGION

## ◆ unused16

uint32_t NPU_REG::unused16

## ◆ OFM_WIDTH_M1

STRUCT ofm_width_m1_r NPU_REG::OFM_WIDTH_M1

## ◆ OFM_HEIGHT_M1

STRUCT ofm_height_m1_r NPU_REG::OFM_HEIGHT_M1

## ◆ OFM_DEPTH_M1

STRUCT ofm_depth_m1_r NPU_REG::OFM_DEPTH_M1

## ◆ OFM_PRECISION

STRUCT ofm_precision_r NPU_REG::OFM_PRECISION

## ◆ OFM_BLK_WIDTH_M1

STRUCT ofm_blk_width_m1_r NPU_REG::OFM_BLK_WIDTH_M1

## ◆ OFM_BLK_HEIGHT_M1

STRUCT ofm_blk_height_m1_r NPU_REG::OFM_BLK_HEIGHT_M1

## ◆ OFM_BLK_DEPTH_M1

STRUCT ofm_blk_depth_m1_r NPU_REG::OFM_BLK_DEPTH_M1

## ◆ OFM_ZERO_POINT

STRUCT ofm_zero_point_r NPU_REG::OFM_ZERO_POINT

## ◆ unused17

uint32_t NPU_REG::unused17

## ◆ OFM_WIDTH0_M1

STRUCT ofm_width0_m1_r NPU_REG::OFM_WIDTH0_M1

## ◆ OFM_HEIGHT0_M1

STRUCT ofm_height0_m1_r NPU_REG::OFM_HEIGHT0_M1

## ◆ OFM_HEIGHT1_M1

STRUCT ofm_height1_m1_r NPU_REG::OFM_HEIGHT1_M1

## ◆ unused18

uint32_t NPU_REG::unused18

## ◆ OFM_REGION

STRUCT ofm_region_r NPU_REG::OFM_REGION

## ◆ KERNEL_WIDTH_M1

STRUCT kernel_width_m1_r NPU_REG::KERNEL_WIDTH_M1

## ◆ KERNEL_HEIGHT_M1

STRUCT kernel_height_m1_r NPU_REG::KERNEL_HEIGHT_M1

## ◆ KERNEL_STRIDE

STRUCT kernel_stride_r NPU_REG::KERNEL_STRIDE

## ◆ unused19

uint32_t NPU_REG::unused19

## ◆ ACC_FORMAT

STRUCT acc_format_r NPU_REG::ACC_FORMAT

## ◆ ACTIVATION

STRUCT activation_r NPU_REG::ACTIVATION

## ◆ ACTIVATION_MIN

STRUCT activation_min_r NPU_REG::ACTIVATION_MIN

## ◆ ACTIVATION_MAX

STRUCT activation_max_r NPU_REG::ACTIVATION_MAX

## ◆ WEIGHT_REGION

STRUCT weight_region_r NPU_REG::WEIGHT_REGION

## ◆ SCALE_REGION

STRUCT scale_region_r NPU_REG::SCALE_REGION

## ◆ unused20

uint32_t NPU_REG::unused20

## ◆ AB_START

STRUCT ab_start_r NPU_REG::AB_START

## ◆ unused21

uint32_t NPU_REG::unused21

## ◆ BLOCKDEP

STRUCT blockdep_r NPU_REG::BLOCKDEP

## ◆ DMA0_SRC_REGION

STRUCT dma0_src_region_r NPU_REG::DMA0_SRC_REGION

## ◆ DMA0_DST_REGION

STRUCT dma0_dst_region_r NPU_REG::DMA0_DST_REGION

## ◆ DMA0_SIZE0

STRUCT dma0_size0_r NPU_REG::DMA0_SIZE0

## ◆ DMA0_SIZE1

STRUCT dma0_size1_r NPU_REG::DMA0_SIZE1

## ◆ unused22

uint32_t NPU_REG::unused22

## ◆ IFM2_BROADCAST

STRUCT ifm2_broadcast_r NPU_REG::IFM2_BROADCAST

## ◆ IFM2_SCALAR

STRUCT ifm2_scalar_r NPU_REG::IFM2_SCALAR

## ◆ unused23

uint32_t NPU_REG::unused23

## ◆ IFM2_PRECISION

STRUCT ifm2_precision_r NPU_REG::IFM2_PRECISION

## ◆ unused24

uint32_t NPU_REG::unused24

## ◆ IFM2_ZERO_POINT

STRUCT ifm2_zero_point_r NPU_REG::IFM2_ZERO_POINT

## ◆ IFM2_WIDTH0_M1

STRUCT ifm2_width0_m1_r NPU_REG::IFM2_WIDTH0_M1

## ◆ IFM2_HEIGHT0_M1

STRUCT ifm2_height0_m1_r NPU_REG::IFM2_HEIGHT0_M1

## ◆ IFM2_HEIGHT1_M1

STRUCT ifm2_height1_m1_r NPU_REG::IFM2_HEIGHT1_M1

## ◆ IFM2_IB_START

STRUCT ifm2_ib_start_r NPU_REG::IFM2_IB_START

## ◆ unused25

uint32_t NPU_REG::unused25

## ◆ IFM2_REGION

STRUCT ifm2_region_r NPU_REG::IFM2_REGION

## ◆ unused26

uint32_t NPU_REG::unused26

## ◆ IFM_BASE0

STRUCT ifm_base0_r NPU_REG::IFM_BASE0

## ◆ IFM_BASE1

STRUCT ifm_base1_r NPU_REG::IFM_BASE1

## ◆ IFM_BASE2

STRUCT ifm_base2_r NPU_REG::IFM_BASE2

## ◆ IFM_BASE3

STRUCT ifm_base3_r NPU_REG::IFM_BASE3

## ◆ IFM_STRIDE_X

STRUCT ifm_stride_x_r NPU_REG::IFM_STRIDE_X

## ◆ IFM_STRIDE_Y

STRUCT ifm_stride_y_r NPU_REG::IFM_STRIDE_Y

## ◆ IFM_STRIDE_C

STRUCT ifm_stride_c_r NPU_REG::IFM_STRIDE_C

## ◆ unused27

uint32_t NPU_REG::unused27

## ◆ OFM_BASE0

STRUCT ofm_base0_r NPU_REG::OFM_BASE0

## ◆ OFM_BASE1

STRUCT ofm_base1_r NPU_REG::OFM_BASE1

## ◆ OFM_BASE2

STRUCT ofm_base2_r NPU_REG::OFM_BASE2

## ◆ OFM_BASE3

STRUCT ofm_base3_r NPU_REG::OFM_BASE3

## ◆ OFM_STRIDE_X

STRUCT ofm_stride_x_r NPU_REG::OFM_STRIDE_X

## ◆ OFM_STRIDE_Y

STRUCT ofm_stride_y_r NPU_REG::OFM_STRIDE_Y

## ◆ OFM_STRIDE_C

STRUCT ofm_stride_c_r NPU_REG::OFM_STRIDE_C

## ◆ unused28

uint32_t NPU_REG::unused28

## ◆ WEIGHT_BASE

STRUCT weight_base_r NPU_REG::WEIGHT_BASE

## ◆ WEIGHT_LENGTH

STRUCT weight_length_r NPU_REG::WEIGHT_LENGTH

## ◆ SCALE_BASE

STRUCT scale_base_r NPU_REG::SCALE_BASE

## ◆ SCALE_LENGTH

STRUCT scale_length_r NPU_REG::SCALE_LENGTH

## ◆ OFM_SCALE

STRUCT ofm_scale_r NPU_REG::OFM_SCALE

## ◆ OFM_SCALE_SHIFT

STRUCT ofm_scale_shift_r NPU_REG::OFM_SCALE_SHIFT

## ◆ OPA_SCALE

STRUCT opa_scale_r NPU_REG::OPA_SCALE

## ◆ OPA_SCALE_SHIFT

STRUCT opa_scale_shift_r NPU_REG::OPA_SCALE_SHIFT

## ◆ OPB_SCALE

STRUCT opb_scale_r NPU_REG::OPB_SCALE

## ◆ unused29

uint32_t NPU_REG::unused29

## ◆ DMA0_SRC

STRUCT dma0_src_r NPU_REG::DMA0_SRC

## ◆ DMA0_DST

STRUCT dma0_dst_r NPU_REG::DMA0_DST

## ◆ DMA0_LEN

STRUCT dma0_len_r NPU_REG::DMA0_LEN

## ◆ unused30

uint32_t NPU_REG::unused30

## ◆ IFM2_BASE0

STRUCT ifm2_base0_r NPU_REG::IFM2_BASE0

## ◆ IFM2_BASE1

STRUCT ifm2_base1_r NPU_REG::IFM2_BASE1

## ◆ IFM2_BASE2

STRUCT ifm2_base2_r NPU_REG::IFM2_BASE2

## ◆ IFM2_BASE3

STRUCT ifm2_base3_r NPU_REG::IFM2_BASE3

## ◆ IFM2_STRIDE_X

STRUCT ifm2_stride_x_r NPU_REG::IFM2_STRIDE_X

## ◆ IFM2_STRIDE_Y

STRUCT ifm2_stride_y_r NPU_REG::IFM2_STRIDE_Y

## ◆ IFM2_STRIDE_C

STRUCT ifm2_stride_c_r NPU_REG::IFM2_STRIDE_C

## ◆ unused31

uint32_t NPU_REG::unused31

## ◆ USER_DEFINED

uint32_t NPU_REG::USER_DEFINED[16]

## ◆ unused32

uint32_t NPU_REG::unused32[256]

## ◆ REVISION

STRUCT revision_r NPU_REG::REVISION

## ◆ unused33

uint32_t NPU_REG::unused33[3]

## ◆ PID4

STRUCT pid4_r NPU_REG::PID4

## ◆ PID5

STRUCT pid5_r NPU_REG::PID5

## ◆ PID6

STRUCT pid6_r NPU_REG::PID6

## ◆ PID7

STRUCT pid7_r NPU_REG::PID7

## ◆ PID0

STRUCT pid0_r NPU_REG::PID0

## ◆ PID1

STRUCT pid1_r NPU_REG::PID1

## ◆ PID2

STRUCT pid2_r NPU_REG::PID2

## ◆ PID3

STRUCT pid3_r NPU_REG::PID3

## ◆ CID0

STRUCT cid0_r NPU_REG::CID0

## ◆ CID1

STRUCT cid1_r NPU_REG::CID1

## ◆ CID2

STRUCT cid2_r NPU_REG::CID2

## ◆ CID3

STRUCT cid3_r NPU_REG::CID3

## ◆ DEBUGCORE

STRUCT debugcore_r NPU_REG::DEBUGCORE

## ◆ PARALLEL_MODE

STRUCT parallel_mode_r NPU_REG::PARALLEL_MODE

## ◆ DMA0_SKIP0

STRUCT dma0_skip0_r NPU_REG::DMA0_SKIP0

## ◆ DMA0_SKIP1

STRUCT dma0_skip1_r NPU_REG::DMA0_SKIP1

## ◆ WEIGHT1_BASE

STRUCT weight1_base_r NPU_REG::WEIGHT1_BASE

## ◆ WEIGHT1_LENGTH

STRUCT weight1_length_r NPU_REG::WEIGHT1_LENGTH

## ◆ SCALE1_BASE

STRUCT scale1_base_r NPU_REG::SCALE1_BASE

## ◆ SCALE1_LENGTH

STRUCT scale1_length_r NPU_REG::SCALE1_LENGTH

## ◆ COND_STATUS

STRUCT cond_status_r NPU_REG::COND_STATUS

## ◆ POWER_CTRL

STRUCT power_ctrl_r NPU_REG::POWER_CTRL

## ◆ MEM_ATTR

STRUCT mem_attr_r NPU_REG::MEM_ATTR[4]

## ◆ AXI_SRAM

STRUCT axi_sram_r NPU_REG::AXI_SRAM

## ◆ AXI_EXT

STRUCT axi_ext_r NPU_REG::AXI_EXT

## ◆ CFG_SRAM_CAP

STRUCT cfg_sram_cap_r NPU_REG::CFG_SRAM_CAP

## ◆ CFG_EXT_CAP

STRUCT cfg_ext_cap_r NPU_REG::CFG_EXT_CAP

## ◆ CFG_SRAM_HASH0

STRUCT cfg_sram_hash0_r NPU_REG::CFG_SRAM_HASH0

## ◆ CFG_SRAM_HASH1

STRUCT cfg_sram_hash1_r NPU_REG::CFG_SRAM_HASH1

## ◆ CFG_EXT_HASH0

STRUCT cfg_ext_hash0_r NPU_REG::CFG_EXT_HASH0

## ◆ DMA_WEIGHT1_SRC

STRUCT dma_weight1_src_r NPU_REG::DMA_WEIGHT1_SRC

## ◆ DMA_WEIGHT2_SRC

STRUCT dma_weight2_src_r NPU_REG::DMA_WEIGHT2_SRC

## ◆ DMA_WEIGHT3_SRC

STRUCT dma_weight3_src_r NPU_REG::DMA_WEIGHT3_SRC

## ◆ INTERNAL_MEMORY

STRUCT internal_memory_r NPU_REG::INTERNAL_MEMORY[256]

## ◆ IFM_BROADCAST

STRUCT ifm_broadcast_r NPU_REG::IFM_BROADCAST

## ◆ RESIZE_X_SCALE_N_M1

STRUCT resize_x_scale_n_m1_r NPU_REG::RESIZE_X_SCALE_N_M1

## ◆ RESIZE_Y_SCALE_N_M1

STRUCT resize_y_scale_n_m1_r NPU_REG::RESIZE_Y_SCALE_N_M1

## ◆ RESIZE_X_OFFSET

STRUCT resize_x_offset_r NPU_REG::RESIZE_X_OFFSET

## ◆ RESIZE_Y_OFFSET

STRUCT resize_y_offset_r NPU_REG::RESIZE_Y_OFFSET

## ◆ WEIGHT_FORMAT

STRUCT weight_format_r NPU_REG::WEIGHT_FORMAT

## ◆ DMA0_IDX_REGION

STRUCT dma0_idx_region_r NPU_REG::DMA0_IDX_REGION

## ◆ IFM_SCALE

STRUCT ifm_scale_r NPU_REG::IFM_SCALE

## ◆ IFM2_SCALE

STRUCT ifm2_scale_r NPU_REG::IFM2_SCALE

## ◆ OP_SCALAR

STRUCT op_scalar_r NPU_REG::OP_SCALAR

## ◆ DMA0_SRC_STRIDE0

STRUCT dma0_src_stride0_r NPU_REG::DMA0_SRC_STRIDE0

## ◆ DMA0_SRC_STRIDE1

STRUCT dma0_src_stride1_r NPU_REG::DMA0_SRC_STRIDE1

## ◆ DMA0_DST_STRIDE0

STRUCT dma0_dst_stride0_r NPU_REG::DMA0_DST_STRIDE0

## ◆ DMA0_DST_STRIDE1

STRUCT dma0_dst_stride1_r NPU_REG::DMA0_DST_STRIDE1

## ◆ DMA0_IDX

STRUCT dma0_idx_r NPU_REG::DMA0_IDX

## ◆ WEIGHT2_BASE

STRUCT weight2_base_r NPU_REG::WEIGHT2_BASE

## ◆ WEIGHT2_LENGTH

STRUCT weight2_length_r NPU_REG::WEIGHT2_LENGTH

## ◆ WEIGHT3_BASE

STRUCT weight3_base_r NPU_REG::WEIGHT3_BASE

## ◆ WEIGHT3_LENGTH

STRUCT weight3_length_r NPU_REG::WEIGHT3_LENGTH

## ◆ RESIZE_X_STEP

STRUCT resize_x_step_r NPU_REG::RESIZE_X_STEP

## ◆ RESIZE_Y_STEP

STRUCT resize_y_step_r NPU_REG::RESIZE_Y_STEP

## ◆ DMA0_IDX_MAX

STRUCT dma0_idx_max_r NPU_REG::DMA0_IDX_MAX

## ◆ DMA0_IDX_SKIP1

STRUCT dma0_idx_skip1_r NPU_REG::DMA0_IDX_SKIP1

## ◆ PMCLUT

STRUCT pmclut_r NPU_REG::PMCLUT